## datalad 1.2.1

=== Makefile ===
# simple makefile to simplify repetitive build env management tasks under posix
# Ideas borrowed from scikit-learn's and PyMVPA Makefiles  -- thanks!

PYTHON ?= python

MODULE ?= datalad

all: clean test

clean:
	$(PYTHON) setup.py clean
	rm -rf dist build bin
	-find . -name '*.pyc' -delete
	-find . -name '__pycache__' -type d -delete

bin:
	mkdir -p $@
	PYTHONPATH="bin:$(PYTHONPATH)" $(PYTHON) setup.py develop --install-dir $@

trailing-spaces:
	find $(MODULE) -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;

code-analysis:
	flake8 $(MODULE) | grep -v __init__ | grep -v external
	pylint -E -i y $(MODULE)/ # -d E1103,E0611,E1101

linkissues-changelog:
	tools/link_issues_CHANGELOG

update-changelog: CHANGELOG.md
	@echo ".. This file is auto-converted from CHANGELOG.md (make update-changelog) -- do not edit\n\nChange log\n**********" > docs/source/changelog.rst
	# sphinx 3.4.3-2 on Debian incorrectly handles unicode character
	# and then fails claiming that underlines are too short. So we remove all
	# such problematic ones for now.
	# Also, for some reason auto sticks subsections all the way to 4th level of sectioning,
	# so we bring them back to 2nd.
	# And pandoc manages to just skip all the valid markdown urls for authors within (),
	# so doing manual post conversion
	cat "$<" | sed -e 's,^#### ,## ,g' \
	| iconv -c -f utf-8 -t ascii \
    | grep -v  '^<.*> *$$' \
	| pandoc -t rst \
	| sed -e 's,\[\(@[^]]*\)\](\([^)]*\)),\`\1 <\2>\`__,g' \
	>> docs/source/changelog.rst


release-pypi: update-changelog
	# avoid upload of stale builds
	test ! -e dist
	$(PYTHON) setup.py sdist
	# the wheels we would produce are broken on windows, because they
	# install an incompatible entrypoint script
	# https://github.com/datalad/datalad/issues/4315
	#$(PYTHON) setup.py bdist_wheel
	twine upload dist/*

docs/source/basics_cmdline.rst.in: build/casts/cmdline_basic_usage.json
	tools/cast2rst $^ > $@

docs/source/basics_nesteddatasets.rst.in: build/casts/seamless_nested_repos.json
	tools/cast2rst $^ > $@

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = DATALAD_SPHINX_RUN=1 sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/* source/generated source/_extras/schema*.json source/build

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
datalad (1.2.1-1) unstable; urgency=medium

  * Recent upstream release
  * Fix statement of minimal python version for binary package to be 3.9
    and thus remove optional dependency on python3-importlib-resources
    (Closes: #1111806)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 22 Aug 2025 08:59:42 -0400

=== debian/control ===
Source: datalad
Maintainer: NeuroDebian Team <team@datalad.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
               help2man,
               patool,
               7zip (>= 23.01+dfsg-4~) | p7zip-full,
               python3 (>= 3.9),
               python3-all,
               python3-annexremote,
               python3-argcomplete (>= 1.12.3),
               python3-boto3,
               python3-dateutil,
               python3-distro,
               python3-fasteners (>= 0.14~),
               python3-gitlab,
               python3-html5lib,
               python3-httpretty,
               python3-humanize,
               python3 (>= 3.10) | python3-importlib-metadata (>= 3.6~),
               python3-iso8601,
               python3-keyring,
               python3-keyrings.alt | python3-keyring (<= 8),
               python3-msgpack,
               python3-pytest (>= 7.0),
               python3-packaging,
               python3-platformdirs,
               python3-pyperclip,
               python3-requests,
               python3-secretstorage,
               python3-setuptools,
               python3-tqdm (>= 4.32.0),
               python3-typing-extensions (>= 3.10.0.2~),
               python3-vcr,
Build-Conflicts: git-annex (= 8.20200226-1)
Standards-Version: 4.4.1
Vcs-Browser: https://github.com/datalad/datalad/
Vcs-Git: https://github.com/datalad/datalad.git -b debian
Homepage: https://datalad.org

Package: datalad
Architecture: all
Section: science
Depends: python3-datalad (= ${binary:Version}),
         python3-argcomplete (>= 1.12.3),
         ${misc:Depends},
         ${python3:Depends}
Suggests: datalad-container,
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
    separate files/directories (add, get)

Package: python3-datalad
Architecture: all
Section: python
Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
         patool,
         7zip (>= 23.01+dfsg-4~) | p7zip-full,
         python3 (>= 3.9),
         python3-annexremote,
         python3-boto3,
         python3-distro,
         python3-fasteners (>= 0.14~),
         python3-gitlab,
         python3-humanize,
         python3 (>= 3.10) | python3-importlib-metadata (>= 3.6~),
         python3-iso8601,
         python3-keyring,
         python3-keyrings.alt | python3-keyring (<=8),
         python3-msgpack,
         python3-platformdirs,
         python3-requests (>=1.2),
         python3-secretstorage,
         python3-typing-extensions (>= 3.10.0.2~),
         python3-tqdm (>= 4.32.0),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-html5lib,
            python3-httpretty,
            python3-pytest (>= 7.0),
            python3-pyperclip,
            python3-vcr,
Suggests: python3-duecredit,
          datalad-container,
          python3-bs4,
          python3-numpy,
Breaks: datalad-container (<< 1.1.2)
Provides: ${python3:Provides}
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
    separate files/directories (add, get)
 .
 This package installs the module for Python 3, and Recommends install
 all dependencies necessary for searching and managing datasets, publishing,
 and testing.  If you need base functionality, install without Recommends.

=== debian/watch ===
version=3

opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/datalad/datalad-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## datalad 1.3.1

=== debian/changelog ===
datalad (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1123380
  * Migrate to Debian Python team
  * debhelper-compat (= 13)
  * d/watch: version=5
  * Standards-Version: 4.7.3 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Do not parse d/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Fix lintian-overrides

 -- Andreas Tille <tille@debian.org>  Fri, 06 Feb 2026 06:45:23 +0100

=== debian/control ===
Source: datalad
Standards-Version: 4.7.3
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yaroslav Halchenko <debian@onerussian.com>,
 Michael Hanke <mih@debian.org>,
Section: science
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 git-annex | git-annex-standalone (>= 8.20200309~),
 help2man,
 patool,
 7zip (>= 23.01+dfsg-4~) | p7zip-full,
 python3,
 python3-all,
 python3-annexremote,
 python3-argcomplete,
 python3-boto3,
 python3-dateutil,
 python3-distro,
 python3-fasteners,
 python3-gitlab,
 python3-html5lib,
 python3-httpretty,
 python3-humanize,
 python3 | python3-importlib-metadata,
 python3-iso8601,
 python3-keyring,
 python3-keyrings.alt,
 python3-msgpack,
 python3-pytest,
 python3-packaging,
 python3-platformdirs,
 python3-pyperclip,
 python3-requests,
 python3-secretstorage,
 python3-setuptools,
 python3-tqdm,
 python3-typing-extensions,
 python3-vcr,
Build-Conflicts:
 git-annex (= 8.20200226-1),
Vcs-Browser: https://salsa.debian.org/python-team/packages/datalad
Vcs-Git: https://salsa.debian.org/python-team/packages/datalad.git
Homepage: https://datalad.org

Package: datalad
Architecture: all
Depends:
 python3-datalad (= ${binary:Version}),
 python3-argcomplete,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 datalad-container,
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
    separate files/directories (add, get)

Package: python3-datalad
Architecture: all
Section: python
Depends:
 git-annex | git-annex-standalone (>= 8.20200309~),
 patool,
 7zip (>= 23.01+dfsg-4~) | p7zip-full,
 python3,
 python3-annexremote,
 python3-boto3,
 python3-distro,
 python3-fasteners,
 python3-gitlab,
 python3-humanize,
 python3 | python3-importlib-metadata,
 python3-iso8601,
 python3-keyring,
 python3-keyrings.alt,
 python3-msgpack,
 python3-platformdirs,
 python3-requests,
 python3-secretstorage,
 python3-typing-extensions,
 python3-tqdm,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-html5lib,
 python3-httpretty,
 python3-pytest,
 python3-pyperclip,
 python3-vcr,
Suggests:
 python3-duecredit,
 datalad-container,
 python3-bs4,
 python3-numpy,
Provides:
 ${python3:Provides},
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
    separate files/directories (add, get)
 .
 This package installs the module for Python 3, and Recommends install
 all dependencies necessary for searching and managing datasets, publishing,
 and testing.  If you need base functionality, install without Recommends.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DH_VERBOSE = 1
export PYBUILD_NAME = datalad

# test_test would be removed as 0.17.1
# test_subprocess_return_code_capture - https://github.com/datalad/datalad/issues/6109
# test_gracefull_death - too flaky https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1029450
# test_completion -- patched in Debian python 3.12 and argcomplete https://github.com/kislyuk/argcomplete/issues/514
# test_ProducerConsumer  -- needs fixing for py 3.13 https://github.com/datalad/datalad/pull/7686
export PYBUILD_TEST_ARGS = -s -v -k 'not test_test and not test_subprocess_return_code_capture and not test_gracefull_death and not test_completion and not test_ProducerConsumer and not test_producer_future_key' -c $(CURDIR)/tox.ini
export DATALAD_TESTS_NONETWORK = 1
export http_proxy=
export https_proxy=

# We need to copy .egg-info so entry points are discovered. And also need
# to generate then per-Python version since some module requirements differ
export PYBUILD_BEFORE_TEST=PYTHONPATH=$(CURDIR)/bin python{version} setup.py develop --install-dir bin/ && cp -rp datalad.egg-info {build_dir}/;

# Set SOURCE_DATE_EPOCH based on changelog in a most portable (older dpkg) way
# following https://reproducible-builds.org/docs/source-date-epoch/
include /usr/share/dpkg/pkg-info.mk
export DATALAD_SOURCE_EPOCH=$(SOURCE_DATE_EPOCH)

%:
	dh $@ --buildsystem=pybuild

clean::
	dh_clean
	-rm -rf bin build .pybuild datalad.egg-info .pytest_cache docs/source/generated/man
	-find . -name '*.pyc' -delete

override_dh_auto_configure:
	# cheap fake of an installed datalad, so we get .egg-info with entry points
	$(MAKE) bin
	# and leave the rest for dh_python* runs
	mkdir -p build; \
	    export HOME=$(CURDIR)/build;  \
        git config --global user.name "TESTING"; \
        git config --global user.email "TESTING@example.com"

override_dh_auto_test:
#	# Since pybuild overrides HOME for its own purposes, we will rely on our
#	# setup_package placing it back into HOME
	PATH=$(CURDIR)/bin:$$PATH dh_auto_test -- --test-pytest


override_dh_auto_install:
	dh_auto_install
	mv debian/python3-datalad/usr/bin/* debian/datalad/usr/bin
	rm -f debian/python*-datalad/usr/bin/*
	# Building manpages. Overcoming #532 which creates some config file.
	mkdir -p build/man
	echo "DEBUG: DATALAD_SOURCE_EPOCH=$$DATALAD_SOURCE_EPOCH"
	HOME=$(CURDIR)/build python3 setup.py build_manpage
	# Generating argcomplete helper for bash_completion.d
	{ register-python-argcomplete3 datalad || register-python-argcomplete datalad; } > debian/datalad/usr/share/bash-completion/completions/datalad

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

=== debian/watch ===
Version: 5

Template: Pypi
Dist: datalad
Uversion-Mangle: s/(rc|a|b|c)/~$1/

## datalad crawler-0.7.0

=== requirements.txt ===
# TODO: add travis run, at least one or two for testing against master
# git+https://github.com/datalad/datalad.git

=== docs/Makefile ===
--- 
+++ 
@@ -3,9 +3,14 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    = -W
-SPHINXBUILD   = DATALAD_SPHINX_RUN=1 sphinx-build
+SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = build
+
+# User-friendly check for sphinx-build
+ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+endif
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -44,7 +49,7 @@
 	@echo "  coverage   to run coverage check of the documentation (if enabled)"
 
 clean:
-	rm -rf $(BUILDDIR)/* source/generated source/_extras/schema*.json source/build
+	rm -rf $(BUILDDIR)/* source/generated source/_extras/schema.json
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
@@ -82,9 +87,9 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_crawler.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_crawler.qhc"
 
 applehelp:
 	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
@@ -99,8 +104,8 @@
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_crawler"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_crawler"
 	@echo "# devhelp"
 
 epub:

## datalad dataverse-1.0.0

=== docs/Makefile ===
--- 
+++ 
@@ -3,14 +3,14 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    = -W
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = python -m sphinx
 PAPER         =
 BUILDDIR      = build
 
 # User-friendly check for sphinx-build
-ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
-endif
+#ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
+#$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+#endif
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -87,9 +87,9 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_crawler.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_dataverse.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_crawler.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_dataverse.qhc"
 
 applehelp:
 	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
@@ -104,8 +104,8 @@
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_crawler"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_crawler"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_dataverse"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_dataverse"
 	@echo "# devhelp"
 
 epub:

## datalad debian-0.0.1

=== docs/Makefile ===
--- 
+++ 
@@ -87,9 +87,9 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_dataverse.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_debian.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_dataverse.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_debian.qhc"
 
 applehelp:
 	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
@@ -104,8 +104,8 @@
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_dataverse"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_dataverse"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_debian"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_debian"
 	@echo "# devhelp"
 
 epub:

## datalad gooey-0.2.0

=== docs/Makefile ===
--- 
+++ 
@@ -87,9 +87,9 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_debian.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_gooey.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_debian.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_gooey.qhc"
 
 applehelp:
 	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
@@ -104,8 +104,8 @@
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_debian"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_debian"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_gooey"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_gooey"
 	@echo "# devhelp"
 
 epub:

## datalad mihextras-0.1

=== Makefile ===
PYTHON ?= python

clean:
	$(PYTHON) setup.py clean
	rm -rf dist build bin docs/build docs/source/generated *.egg-info
	-find . -name '*.pyc' -delete
	-find . -name '__pycache__' -type d -delete

release-pypi:
	# avoid upload of stale builds
	test ! -e dist
	$(PYTHON) setup.py sdist
	python setup.py bdist_wheel --universal
	twine upload dist/*

update-buildsupport:
	git subtree pull \
		-m "Update DataLad build helper" \
		--squash \
		--prefix _datalad_buildsupport \
		https://github.com/datalad/datalad-buildsupport.git \
		master

=== docs/Makefile ===
--- 
+++ 
@@ -87,9 +87,9 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_gooey.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/datalad_metalad.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_gooey.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/datalad_metalad.qhc"
 
 applehelp:
 	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
@@ -104,8 +104,8 @@
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_gooey"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_gooey"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/datalad_metalad"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/datalad_metalad"
 	@echo "# devhelp"
 
 epub:
